For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList group quote intents
      • POSTCreate a group quote intent
      • GETRetrieve a group quote intent
      • GETList requirements for a group quote intent
      • GETRetrieve the quote for a group quote intent
      • POSTReject a group quote intent
    • API Errors
Get access
LogoLogo
API ReferenceGroup Quote Intents

Retrieve the quote for a group quote intent

GET
/group_quote_intents/:groupQuoteIntentId/quote
GET
/group_quote_intents/:groupQuoteIntentId/quote
$curl https://test.api.kota.io/group_quote_intents/gqi_3b1333d87d9d4fd6ad83ba7f6b0e951a/quote \
> -H "Authorization: Bearer <apiKey>"
1{
2 "employee_count": 123,
3 "cost_sharing": {
4 "type": "member_count"
5 },
6 "total_monthly_premium": 123.45,
7 "currency": "string",
8 "generated_at": "2024-12-01T00:00:00Z",
9 "expires_at": "2024-12-01T00:00:00Z",
10 "pdf_expires_at": "2024-12-01T00:00:00Z",
11 "object": "string"
12}

Retrieves the quote details for a group_quote_intent. Returns pricing information and a fresh PDF URL. Only available when status is quote_available.

Previous

List requirements for a group quote intent

Next

Reject a group quote intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

groupQuoteIntentIdstringRequiredformat: "gqi_.+"

Response

OK
employee_countinteger
Number of employees covered by the quote
cost_sharingobject
Cost sharing configuration for the quote
total_monthly_premiumdouble
Total monthly premium for the group
currencystring

Currency of the premium (e.g. EUR, GBP)

generated_atdatetime
When the quote was generated
expires_atdatetime
When the quote expires
pdf_urlstring or null
URL to download the quote PDF
pdf_expires_atdatetime or null
When the PDF URL expires
objectstringRead-only
Object type identifier

Errors

400
Bad Request Error
404
Not Found Error